Skip to main content
POST
Bulk create translations

Authorizations

Authorization
string
header
required

Management API token, sent as Authorization: Bearer <token>.

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

Body

application/json

Translation data, max 30 translations

field_type
enum<string>
required
Available options:
name,
value,
description,
alt,
title,
type,
copyright,
slug,
meta_title,
meta_description,
html_description,
short_description,
html_short_description,
key
language_code
string
required

Locale code like "en" or "en-gb". The locale also needs to be configured and supported by the app.

parent_ref
string
required
translation
string
required
create_slug
boolean

if this is true and the fieldType is name, a slug is generated from the translation, or formatted as a slug when the fieldType is slug. Generating a slug from a name is only available to products as of now. An existing slug is only replaced when the app automates redirect creation.

parent_type
enum<string>
Available options:
product,
product_bundle,
product_variant,
image,
attribute,
attribute_value,
category,
tag,
collection,
file,
bundle_group,
video,
brand,
variant_group,
channel_content

Response

Translations created successfully

data
string
required
success
boolean
required
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes